<?php
/**
 * @author William Sergio Minossi
 * @copyright 2017
 */

add_action( 'admin_menu', 'boatdealer_add_admin_menu' );
add_action( 'admin_init', 'boatdealer_settings_init' );

function boatdealer_add_admin_menu(  ) { 
 	global $bdtheme_hook;
 	$bdtheme_hook = add_theme_page( 'Boat Dealer', 'Boat Dealer Help', 'manage_options', 'boat_dealer', 'boatdealer_options_page' );
    
    // Adds my_help_tab when my_admin_page loads
    add_action('load-'.$bdtheme_hook, 'bdtheme_contextual_help');     
}


function boatdealer_settings_init(  ) { 

	register_setting( 'boatdealer', 'boatdealer_settings' );

}

function boatdealer_options_page(  ) { 

	?>

  <div id = "theme_help">
  <br />
  
  <img src="<?php echo get_template_directory_uri()?>/images/logo-horizontal.png" />
              
 <br />

  <img src="<?php echo get_template_directory_uri()?>/images/info.png" />
 
  <h3>Follow this steps after install:</h3>

  <h4>1) Install Plugins</h4>
 
  After activate the theme, will show up top of your desktop:
   <em>Begin Installing Plugins</em>.
   <br />
  Just click over to install and activate all the required plugins.
   <br />
   Free Plugins included:
   <br />

   - Boat Dealer 
   <br />
   - Anti Hacker Protection 
   <br />
   - Slider
   <br />
   - Shortcodes
   <br />
   - More ....
   <br />
  
     <br /> 
   <h4>2) Install Demo Data (optional)</h4>

   To get the same look and feel of the demo site, install the demo data (only if you have now a blank website).
    <br />  
    To use one click install demo feature, go to:
    <br />
    <strong>dashboard => Import Demo Data</strong>
  <br /><br />
  
  <h4>3) Theme Management</h4>  

  To manage the theme, click Appearance => Customize at the left menu.
  </h3> 
  <br /><br />
  
  <h4>4) Boats Management</h4>  

  To manage the boats, click Boats For Sale => Settings at left menu.
  </h3> 
  
 <br /><br />   
 <a href="<?php echo get_site_url()?>/wp-admin/customize.php?return=%2Fwp-admin%2Findex.php" class="button button-primary">Theme Management</a>

  <br /><br />

  <h4>Help and more tips</h4>  
  Just click the HELP button at top right corner this page.
  

  <br /><br />

  <h4>Complete OnLine Guide</h4>  

  You will find the button to our complete OnLine guide at the 
 <strong> Customize Section</strong>.
  Just click Appearance => Customize at left menu.
  <a href="<?php echo get_site_url()?>/wp-admin/customize.php?return=%2Fwp-admin%2Findex.php" >
  Or Just Click Here.</a></h3> 
  
  <br /><br />

  <h4>Support and Demo Video</h4>  

  Visit our site for free support and more...
  <br />
  <strong>BoatDealerThemes.com</strong>
  <br />
 
</div>
  
	<?php
}


function bdtheme_contextual_help()
{
    $screen = get_current_screen();
    $myhelp = '<br><big>';
    $myhelp .= __('The easiest way to manage, list and sell your boats online.',
        'boatdealer');

    // $myhelp .= __('Take a look at our Start Up Guide', 'boatdealer');
   // $myhelp .= '<a href="/wp-admin/edit.php?post_type=boats&page=settings" target="_self"> ';
   // $myhelp .= __('here', 'boatdealer');
   // $myhelp .= '.</a>';
    $myhelp .= '<br />';
    $myhelp .= __('You can find also our complete Theme OnLine Guide', 'boatdealer');
    $myhelp .= '<a href="http://boatdealerthemes.com/help/" target="_self"> ';
    $myhelp .= __('here', 'boatdealer');
    $myhelp .= '.</a></big>';
  
    $options = '<big><br />';  
    $options.= __('Boat Dealer Theme has an advanced panel that is loaded with options.', 'boatdealer');
    $options .= '<br />';
    $options .= __("Go to Appearance > Customize and take a look. We've organized them into logical sets and have given  descriptions for items that need it, most things are self explanatory. Be sure to hit Save Changes to save your settings once you are done.", 'boatdealer');
    $options .= '<br /></big>';

    $boats = '<big><br />';  
    $boats .= __("Dashboard => Boats For Sale => Settings", 'boatdealer');
    $boats .= '<br />';
    $boats .= '<br />';
    $boats .= __("Go to Boat Settings tab and you will find a startup guide there.", 'boatdealer'); 
    $boats .= '<br />';
    $boats .= __("You can also choose your currency, metric system etc...", 'boatdealer');
    $boats .= '<br /></big>';
 

    $home = '<big><br />';  
 
    $home .= __("Once you have created your home page, you need to select it to show up as the home page. To do this, follow the steps below.", 'boatdealer');
    $home .= '<br />';
    $home .= __("Navigate to Settings > Reading", 'boatdealer');
    $home .= '<br />';
    $home .= __("Select A Static Page for Front Page Displays", 'boatdealer');
    $home .= '<br />';
    $home .= __("Select your new home page for the Front Page", 'boatdealer');
    $home .= '<br />';
    $home .= __("This is also the same spot you select the Blog page", 'boatdealer');
    $home .= '<br />';
    $home .= __("Save", 'boatdealer');
    $home .= '<br /></big>'; 
    
    $menu = '<big><br />';  
 
    $menu .= __("Go to Dashboard  Appearence => Customize  => Customize  => Lay Out and select at Menus Enabled section if you want vertical or horizontal menus.", 'boatdealer');
    $menu .= '<br />';
    $menu .= __("After that, go  to Dashboard  Appearence => Customize  => Menus and setup the menu.", 'boatdealer');
    $menu .= '<br />';
    $menu .= __("Here is the wordpress help:", 'boatdealer');
    $menu .= '<br />';
    $menu .= '<a href="https://codex.wordpress.org/WordPress_Menu_User_Guide">';
    $menu .= __("https://codex.wordpress.org/WordPress_Menu_User_Guide", 'boatdealer');
    $menu .= '</a><br /></big>';    


    $showroom = '<big><br />';  
    $showroom.= __('To create a Show Room Page', 'boatdealer');
    $showroom .= '<br />';
    $showroom .= __("Go to DashBoard => Pages and add a new one.", 'boatdealer');
    $showroom .= '<br />';
    $showroom .= __("Just copy and paste this Shortcode to your page:", 'boatdealer');
    $showroom .= '<br />';
    $showroom .= ' [boat_dealer]';
    $showroom .= '<br />';
    $showroom .= '<br /></big>';
        
    $screen->add_help_tab(array(
        'id' => 'bd-overview-tab',
        'title' => __('Overview', 'boatdealer'),
        'content' => '<p>' . $myhelp . '</p>',
        ));
        
        $screen->add_help_tab(array(
        'id' => 'bd-overview-tab2',
        'title' => __('Theme Options', 'boatdealer'),
        'content' => '<p>' . $options . '</p>',
        ));
        
        $screen->add_help_tab(array(
        'id' => 'bd-overview-tab3',
        'title' => __('Boats Setup', 'boatdealer'),
        'content' => '<p>' . $boats . '</p>',
        ));
        
        $screen->add_help_tab(array(
        'id' => 'bd-overview-tab4',
        'title' => __('Setting up the Home', 'boatdealer'),
        'content' => '<p>' . $home . '</p>',
        ));
        
        $screen->add_help_tab(array(
        'id' => 'bd-overview-tab5',
        'title' => __('Setting up Menu', 'boatdealer'),
        'content' => '<p>' . $menu . '</p>',
        ));
        
        $screen->add_help_tab(array(
        'id' => 'bd-overview-tab6',
        'title' => __('Creating the Show Room', 'boatdealer'),
        'content' => '<p>' . $showroom . '</p>',
        ));
} 
?>